SELECT BookingRef, CarBooked, 'June' AS Month
FROM dbo.tblArchiveJUNE
UNION 
SELECT BookingRef, CarBooked, 'July' AS MONTH
FROM dbo.tblArchiveJULY 
UNION 
SELECT BookingRef, CarBooked, 'August' AS MONTH
FROM dbo.tblArchiveAUGUST